- Qt 6.10
- Qt GRPC
- C++ Classes
- QGrpcClientStream
- Qt 6.10.2 Reference Documentation

# QGrpcClientStream Class

The QGrpcClientStream class provides access in handling client-streaming RPCs. More...

Header: | `#include <QGrpcClientStream>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.7
Inherits: | QGrpcOperation

- List of all members, including inherited members

## Public Functions

virtual | ~QGrpcClientStream() override
void | writeMessage(const QProtobufMessage &message)
`(since 6.8)` void | writesDone()

## Detailed Description

The QGrpcClientStream class provides the interface for handling client-streaming remote procedure calls (RPCs), which is one of the four gRPC™ service methods.

For a high-level overview, refer to the Qt GRPC Client Guide.

Note: Users are responsible for managing the unique RPC handlers returned by the `Client` interface, ensuring their existence at least until the finished signal is emitted. After receiving this signal, the handler can be safely reassigned or destroyed.

## Member Function Documentation

### `[override virtual noexcept]` QGrpcClientStream::~QGrpcClientStream()

Destroys the QGrpcClientStream.

### void QGrpcClientStream::writeMessage(const QProtobufMessage &message)

Serializes message and sends it to the server.

### `[since 6.8]` void QGrpcClientStream::writesDone()

Ends the stream from the client side (half-closing). The server is still allowed to send responses after this call.

This function was introduced in Qt 6.8.